echo - 此功能可以刷一些zip/ozip的卡刷包，也可以刷入其他Magisk模块
echo - 当然您也可以使用CMD命令行输入：adb sideload 然后拖入文件
echo.
%error% 文件名不要带有空格和特殊非主流符号否则可能导致发送失败
echo 同时请确保您的TWRP支持ADB Sideload，如果检测不到设备，请使用12.安装卡刷包、Magisk模块功能
pause


:file
    %tishi1% 刷入的zip/ozip文件
    set zipfile=
    set /p zipfile=%t1%
    if not defined zipfile ( %error% 未选择文件，刷个鸡儿 & goto file )
    if not exist %zipfile% ( %error% 选择的文件不存在，刷个鸡儿 & goto file )


:Brush_in
    echo - 请选择您的设备状态
    echo.
    set gn=
    echo - 1.系统/rec/TWRP模式下        2.已在ADB Sideload模式下        3.FASTBOOT模式下
    echo.
    echo.
    set /p gn=%t2%
    set Customize=false
    if "!gn!"=="2" ( goto label )
    
    echo - 如果无法自动重启到sideload模式请手动进入
    if "!gn!"=="1" (
        echo - 开始重启到sideload
        adb reboot sideload
    )
    
    if "!gn!"=="3" (
        set gn=
        echo - 3.使用方法①进入       4.使用方法②进入
        echo.
        echo.
        set /p gn=%t2%
        if "!gn!"=="4" ( call bat\f4.bat ) else ( call bat\f3.bat )
        %awfr%
        echo - 开始重启到sideload
        adb reboot sideload
        goto label
    )
        goto Brush_in


:label
            %awfs%
            echo - 开始ADB线刷：!zipfile!……
            echo - 等待设备刷入完毕……
            adb sideload !zipfile!
            if "%errorlevel%"=="0" ( echo - !zipfile!刷入完毕 ) else ( %error% !zipfile!刷入失败，请确保对方设备使用的是三方recovery )
            %awfr%
            echo.
            echo.
            echo - 是否还需要再刷入别的zip/ozip文件？？？
            set /p gn=1.为确定     回车或任意内容为跳过：
                if "!gn!"=="1" (
                    cls
                    echo - 请选择设备状态时输入1，或者手动再进入ADB Sideload，因为刷写完毕自动退出ADB Sideload，
                    goto file
                )
                    %CQ%
